> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# A person's profile: counts, and how you know them



## OpenAPI

````yaml /api-reference/openapi.json get /people/{username}
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /people/{username}:
    get:
      tags:
        - People
      summary: 'A person''s profile: counts, and how you know them'
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            example: mira
          required: true
          name: username
          in: path
      responses:
        '200':
          description: The person
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Person'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Person:
      allOf:
        - $ref: '#/components/schemas/PersonRef'
        - type: object
          properties:
            joined_at:
              type: string
            followers:
              type: integer
            following:
              type: integer
            friends:
              type: integer
            viewer:
              type:
                - object
                - 'null'
              properties:
                is_me:
                  type: boolean
                following:
                  type: boolean
                friendship:
                  type: string
                  enum:
                    - none
                    - friends
                    - requested
                    - incoming
                  description: >-
                    friends; requested: you asked them; incoming: they asked
                    you; none.
              required:
                - is_me
                - following
                - friendship
              description: How you know them; null when signed out
          required:
            - joined_at
            - followers
            - following
            - friends
            - viewer
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: version_exists
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error
    PersonRef:
      type: object
      properties:
        username:
          type: string
        name:
          type: string
        image:
          type:
            - string
            - 'null'
      required:
        - username
        - name
        - image

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.